/*
 * VCyclePattern.h
 *
 *  Created on: 02.10.2012
 *      Author: Felix Ospald
 */

#ifndef FMG_VCYCLEPATTERN_H_
#define FMG_VCYCLEPATTERN_H_

#include <fmg/cycle/VectorCyclePattern.h>

#include <dolfin/log/log.h>

namespace fmg {

/// Create V-cycle patterns by specifying number of grid levels.
/// This is more or less an example how to use the more general VectorCyclePattern class.

class VCyclePattern : public VectorCyclePattern
{
public:
	/// Create V-cycle over *number_of_levels* grid levels.
	VCyclePattern(const std::size_t number_of_levels) : VectorCyclePattern("V", number_of_levels) { }
};

} // namespace


#endif /* FMG_VCYCLEPATTERN_H_ */
